function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { MapChart } from "echarts/charts";
import { map } from "@xmweb-ui/vue-renderless/chart-map/index";
import Core from "@xmweb-ui/vue-chart-core";
import { defineComponent, $prefix } from "@xmweb-ui/vue-common";
echarts.use([MapChart]);
var ChartMap = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartMap",
  data: function data() {
    this.chartHandler = map;
    return {};
  }
}));
var version = "3.8.0";
ChartMap.install = function(Vue) {
  Vue.component(ChartMap.name, ChartMap);
};
ChartMap.version = version;
export {
  ChartMap as default
};
